Package nl.tudelft.simulation.examples.dsol.mm1queue

# Class Seize

java.lang.Object
nl.tudelft.simulation.event.EventProducer
nl.tudelft.simulation.dsol.formalisms.flow.Station<A,​R,​T>
nl.tudelft.simulation.dsol.formalisms.flow.Seize<Double,​Double,​SimTimeDouble>
nl.tudelft.simulation.dsol.formalisms.flow.Seize.TimeDouble
nl.tudelft.simulation.examples.dsol.mm1queue.Seize

All Implemented Interfaces:
  `Serializable`, `StationInterface<Double,​Double,​SimTimeDouble>`, `StationInterface.TimeDouble`, `ResourceRequestorInterface<Double,​Double,​SimTimeDouble>`, `EventProducerInterface`

    public class Seize
    extends Seize.TimeDouble

The Seize is an extended Seize block whic sets delay times on arriving customers..

Copyright (c) 2003-2019 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs
See Also:
  Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Seize

`Seize.CalendarDouble, Seize.CalendarFloat, Seize.CalendarLong, Seize.Request<A extends Comparable<A>,​R extends Number & Comparable<R>,​T extends SimTime<A,​R,​T>>, Seize.TimeDouble, Seize.TimeDoubleUnit, Seize.TimeFloat, Seize.TimeFloatUnit, Seize.TimeLong`

## Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface

`StationInterface.CalendarDouble, StationInterface.CalendarFloat, StationInterface.CalendarLong, StationInterface.TimeDouble, StationInterface.TimeDoubleUnit, StationInterface.TimeFloat, StationInterface.TimeFloatUnit, StationInterface.TimeLong`

## Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Seize

`DELAY_TIME, QUEUE_LENGTH_EVENT`

### Fields inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station

`destination, simulator`

### Fields inherited from class nl.tudelft.simulation.event.EventProducer

`listeners`

### Fields inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

### Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface

`RECEIVE_EVENT, RELEASE_EVENT`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Seize​(DEVSSimulatorInterface.TimeDouble simulator, Resource<Double,​Double,​SimTimeDouble> resource)` | constructs a new Seize.
`Seize​(DEVSSimulatorInterface.TimeDouble simulator, Resource<Double,​Double,​SimTimeDouble> resource, double requestedCapacity)` | constructs a new Seize.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `receiveObject​(Object object)`

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Seize

`getQueue, receiveObject, receiveRequestedResource, setQueue`

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.flow.Station

`getDestination, releaseObject, setDestination`

### Methods inherited from class nl.tudelft.simulation.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.event.EventProducerInterface

`addListener, addListener, addListener, addListener, removeListener`

### Methods inherited from interface nl.tudelft.simulation.dsol.formalisms.flow.StationInterface

`getDestination, setDestination`

## Constructor Details

### Seize

public Seize​(DEVSSimulatorInterface.TimeDouble simulator, Resource<Double,​Double,​SimTimeDouble> resource)
constructs a new Seize.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the devs simulator on which to schedule
  `resource` - Resource<Double,Double,SimTimeDouble>; the resource to claim

### Seize

public Seize​(DEVSSimulatorInterface.TimeDouble simulator, Resource<Double,​Double,​SimTimeDouble> resource, double requestedCapacity)
constructs a new Seize.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the devs simulator on which to schedule
  `resource` - Resource<Double,Double,SimTimeDouble>; the resource to claim
  `requestedCapacity` - double; the amount to claim

## Method Details

### receiveObject

public final void receiveObject​(Object object)

Specified by:
  `receiveObject` in interface `StationInterface<Double,​Double,​SimTimeDouble>`
Overrides:
  `receiveObject` in class `Seize<Double,​Double,​SimTimeDouble>`